# Package com.sun.mail.iap

Interface Summary
Literal: An interface for objects that provide data dynamically for use in a literal protocol element.
ResponseHandler: This class

Class Summary
Argument
ByteArray: A simple wrapper around a byte array, with a start position and count of bytes.
Protocol: General protocol handling code for IMAP-like protocols.
Response: This class represents a response obtained from the input stream of an IMAP server.
ResponseInputStream: Inputstream that is used to read a Response.

Exception Summary
Argument
AString
Atom
BadCommandException
ByteArray: A simple wrapper around a byte array, with a start position and count of bytes.
CommandFailedException
ConnectionException
Literal: An interface for objects that provide data dynamically for use in a literal protocol element.
LiteralException
NString
ParsingException
Protocol: General protocol handling code for IMAP-like protocols.
ProtocolException
Response: This class represents a response obtained from the input stream of an IMAP server.
ResponseHandler: This class
ResponseInputStream: Inputstream that is used to read a Response.